# PHPLocFormatterElement

author | Michiel Rook mrook@php.net
version | $Id: 5911dc47d5037c87f6c0c11d815c05361cad9bc0 $
package | phing.tasks.ext.phploc

### Methods

## Returns output filename

    getOutfile() : string

### Response

`string`

## Returns output directory

    getToDir() : string

### Response

`string`

## getType

    getType() : string

### Response

`string`

## Returns whether to store formatting results in a file

    getUseFile()

## Sets output filename

    setOutfile(string $outfile)

### Arguments

#### $outfile

`string`

## Sets output directory

    setToDir(string $toDir)

### Arguments

#### $toDir

`string`

## Loads a specific formatter type

    setType(string $type)

### Arguments

#### $type

`string`

## Sets whether to store formatting results in a file

    setUseFile( $useFile)

### Arguments

#### $useFile

``

### Properties

## type

    type : string

var |

### Type(s)

`string`

## useFile

    useFile : boolean

var |

### Type(s)

`boolean`

## toDir

    toDir : string

var |

### Type(s)

`string`

## outfile

    outfile : string

var |

### Type(s)

`string`